task Downsampling {

	File file
	String sample_id
	Int number
	String docker
	String cluster_config
	String disk_size

	command <<<
		number = expr $number \* 4 
		zcat ${file}|head -n ${number} |gzip > ${sample_id}.gz
	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File Downsampling = "${sample_id}.gz"
	}
}